{ config, lib, pkgs, ...}: 
{
  services.guix = { 
  enable = true;
   gc = { 
   enable = true;
    extraArgs = [
     "--optimize"  
    ];
    dates = "weekly";
   };
   storeDir = "/gnu/store";  
   stateDir = "/gnu/var";
   publish.generateKeyPair = "true";
   publish.user = "guix-publish";
   publish.port = "8181";
   publish.extraArgs = [
     "--compression=zstd:6"
     "--discover=no"
   ];
   group = "guixbuild";
   #nrBuildUsers = "10";
  };
}
