{ lib, config, pkgs, ... }:

{
   imports = [
    ./apps.nix 
    #../desktop/xmonad/xmonad-manager.nix
    #./theme.nix
    #./plasma-manager.nix
    #./hyperland-manager.nix	
   ];
  
  home.username = "i3le";
  home.homeDirectory = "/home/i3le";
  home.stateVersion = "24.05";

programs = {

  nixpkgs = {
    config = {
      allowUnfree = true;
      allowUnfreePredicate = (_: true);
    };
  };
  
  #programs.helix.themes = [ "base16_transparent" ];
  
  # Home Manager is pretty good at managing dotfiles. The primary way to manage
  # plain files is through 'home.file'.
#  home.file = {
    # ".screenrc".source = dotfiles/screenrc;
    # ".gradle/gradle.properties".text = ''
    #   org.gradle.console=verbose
    #   org.gradle.daemon.idletimeout=3600000
    # '';
    # HELIX    
   # ".config/helix/config.toml".text = ''
   # theme ="base16_transparent" 
   # '';
 # };
  home.sessionVariables = {
    # EDITOR = "emacs";
  };
  # Let Home Manager install and manage itself.
  programs.home-manager.enable = true;
};

}
