{ config, pkgs, lib, ... }:
{
  imports = [
    ../dm.nix
    ../fonts.nix  
  ];
   
  # Enable the Plasma 5 Desktop Environment.
  #services.xserver.displayManager.sddm.enable = true;
  services.xserver.desktopManager.plasma5.enable = true;
  environment.plasma5.excludePackages = with pkgs.libsForQt5; [
  elisa
  oxygen
  khelpcenter
  plasma-browser-integration
  print-manager
  ];
  #programs.dconf.enable = true;
  services.xserver.displayManager.defaultSession = "plasmawayland";
  #services.system76-scheduler.enable = true;
  # Enable CUPS to print documents.
  # services.printing.enable = true;
  #hardware.bluetooth.enable = true;

/*  
  xdg = {
  portal = {
    enable = true;
    extraPortals = with pkgs; [
      xdg-desktop-portal-wlr
      xdg-desktop-portal-gtk
    ];
   };
  };
*/

}

