{ config, pkgs, lib, ...}:
{
#sound.enable = true;

security.rtkit.enable = true;
services.pipewire = {
  enable = true;
  alsa.enable = true;
  alsa.support32Bit = true;
  pulse.enable = true;
};
  # To enable disable pipewire
  hardware.pulseaudio = { 
       enable = false;
       extraConfig = "
                load-module module-switch-on-connect
                ";
       support32Bit = true;
  };
 hardware.bluetooth.settings = {
    General = {
      Enable = "Source,Sink,Media,Socket";
    };
  };

}

