{ lib, config, pkgs, ... }:
{
programs = {
  # GTK
  gtk.enable = true;
  gtk.cursorTheme.package = pkgs.bibata-cursors;
  gtk.cursorTheme.namee = "Bibata-Modern-Ice;
  gtk.theme.package = pkgs.adw-gtk3;
  gtk.theme.namee = "GruvboxPlus";
  

  # QT
  qt.enable = true;
  qt.style.name = "adwaita-dark";
  qt.style.package = pkgs.adwaita-qt;
  }:

}
